-- MySQL Script generated by MySQL Workbench
-- mar. 15 févr. 2022 16:43:02
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

CREATE SCHEMA IF NOT EXISTS `newsletters` ;
USE `newsletters` ;

CREATE TABLE IF NOT EXISTS `newsletters`.`titres` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `titre` VARCHAR(255) NULL,
  `createdAt` VARCHAR(50) NOT NULL, 
  `updatedAt` VARCHAR(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `id_UNIQUE` (`id` ASC) VISIBLE);

CREATE TABLE IF NOT EXISTS `newsletters`.`parties` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `partie` VARCHAR(255) NOT NULL, 
  `titreId` INTEGER REFERENCES `newsletters`.`titres` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  `createdAt` VARCHAR(50) NOT NULL, 
  `updatedAt` VARCHAR(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `id_UNIQUE` (`id` ASC) VISIBLE);

CREATE TABLE IF NOT EXISTS `newsletters`.`sousparties` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `sousTitre` VARCHAR(255) NOT NULL,
  `description` VARCHAR(255) NOT NULL,
  `lien` VARCHAR(255) NOT NULL,
  `partyId` INTEGER REFERENCES `newsletters`.`parties` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  `createdAt` VARCHAR(50) NOT NULL, 
  `updatedAt` VARCHAR(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `id_UNIQUE` (`id` ASC) VISIBLE);